Bug 221556 - Raid mirroring not activated
Raid mirroring not activated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 22:51 EST by Bruce Orchard
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 21:26:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmraid -n (2.78 KB, text/plain)
2007-01-04 22:51 EST, Bruce Orchard
no flags Details
Output from mount (284 bytes, text/plain)
2007-01-04 22:51 EST, Bruce Orchard
no flags Details
Output from vmstat -d (1.80 KB, text/plain)
2007-01-04 22:52 EST, Bruce Orchard
no flags Details
init from initrd (1.93 KB, text/plain)
2007-01-04 22:53 EST, Bruce Orchard
no flags Details
/etc/fstab (456 bytes, text/plain)
2007-01-04 22:53 EST, Bruce Orchard
no flags Details
grub device.map generated by anaconda (91 bytes, text/plain)
2007-01-05 20:58 EST, Bruce Orchard
no flags Details

  None (edit)
Description Bruce Orchard 2007-01-04 22:51:05 EST
Environment:
Dell XPS 400, which uses Intel 82801GR (ICH7) I/O controller with RAID
RAID set has 2 drives configured for mirroring
System and swap are on the RAID set

Problem:
When the system is booted after installing the system, the mirroring  did not
get activated.  This can be seen in the disk write counts shown by vmstat -d. 
Almost all the writes are on one drive; with mirroring the counts should be
about the same for both drives.

How reproducible:
Every time

Steps to Reproduce:
1.  Clear disk
2.  Install system
3.  Boot installed system
  
Actual results:
Almost all the disk reads and writes are on one drive


Expected results:
Disk writes should be about the same on both drives.  I would expect reads to be
split across the drives, but they don't have to be.
Comment 1 Bruce Orchard 2007-01-04 22:51:05 EST
Created attachment 144879 [details]
Output from dmraid -n
Comment 2 Bruce Orchard 2007-01-04 22:51:54 EST
Created attachment 144880 [details]
Output from mount
Comment 3 Bruce Orchard 2007-01-04 22:52:24 EST
Created attachment 144881 [details]
Output from vmstat -d
Comment 4 Bruce Orchard 2007-01-04 22:53:12 EST
Created attachment 144882 [details]
init from initrd
Comment 5 Bruce Orchard 2007-01-04 22:53:51 EST
Created attachment 144883 [details]
/etc/fstab
Comment 6 Bruce Orchard 2007-01-05 20:58:22 EST
Created attachment 144953 [details]
grub device.map generated by anaconda
Comment 7 Bruce Orchard 2007-06-09 22:35:41 EDT
No change in Fedora 7
Comment 8 Bruce Orchard 2007-06-16 12:50:55 EDT
It looks like the source of the problem is the + in the raid group name.  Here
is the output from dmsetup:

[root@localhost fedora]# dmsetup table
isw_dgjddddaee_Drives0+13: 0 20482875 linear 253:1 290824695
isw_dgjddddaee_Drives0+1: 0 312494080 mirror core 2 131072 nosync 2 8:0 0 8:16 0
isw_dgjddddaee_Drives0+12: 0 249858945 linear 253:1 40965750
isw_dgjddddaee_Drives0+11: 0 40965687 linear 253:1 63
live-rw: 0 8388608 snapshot 7:121 7:119 P 8

The + causes problems in resolve_dm_name (in /etc/init.d/functions) when the
name is used as a pattern in awk.  The + is interpreted by awk as meaning "match
one or more of the preceeding character", not match itself.

Comment 9 Bug Zapper 2008-04-04 01:29:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bruce Orchard 2008-04-04 14:14:18 EDT
I changed the name of the raid group to remove the +.  That made it work.

Comment 11 Jon Stanley 2008-04-04 21:26:36 EDT
thanks for the update, closing bug

Note You need to log in before you can comment on or make changes to this bug.